<template>
    <header id="Header">
        <div v-if="user === null">
            <input v-model="username" type="text" placeholder="Username">
            <input v-model="password" type="password" placeholder="Password">
            <button v-on:click="changeUser()">Login</button>
        </div>
        <div v-if="user">
            <p>Hello {{this.user}}</p>
            <button v-on:click="resetUser()">Reset</button>
        </div>
    </header>
</template>

<script>
export default {
    data() {
        return {
            username: '',
            password: ''
        }
    },
    computed: {
        user() {
            return this.$store.state.user
        }
    },
    methods: {
        changeUser() {
            this.$store.dispatch("login", { username: this.username, password: this.password })
        },
        resetUser() {
            this.$store.dispatch("logout", null);
        }
    }
}
</script>

<style>
</style>
